package com.steerinfo.ems.emswaterrealtime.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel(value="null")
public class EmsWaterRealtime implements IBasePO<String> {
    /**
     * 表主键(MeterId,DECIMAL,0)
     */
    @ApiModelProperty(value="表主键",required=true)
    private String meterid;

    /**
     * SIM卡号(PhoneNo,VARCHAR,11)
     */
    @ApiModelProperty(value="SIM卡号",required=true)
    private String phoneno;

    /**
     * 地址编码(AddressCode,VARCHAR,10)
     */
    @ApiModelProperty(value="地址编码",required=true)
    private String addresscode;

    /**
     * 用水类型(M_UserType,VARCHAR,20)
     */
    @ApiModelProperty(value="用水类型",required=true)
    private String mUsertype;

    /**
     * 站点类型(M_Type,VARCHAR,50)
     */
    @ApiModelProperty(value="站点类型",required=false)
    private String mType;

    /**
     * 站点名称(M_Name,VARCHAR,50)
     */
    @ApiModelProperty(value="站点名称",required=false)
    private String mName;

    /**
     * 户号(M_DoorNo,VARCHAR,20)
     */
    @ApiModelProperty(value="户号",required=false)
    private String mDoorno;

    /**
     * 管径大小(M_PipeDn,VARCHAR,20)
     */
    @ApiModelProperty(value="管径大小",required=false)
    private String mPipedn;

    /**
     * 管线材质(M_Material,VARCHAR,20)
     */
    @ApiModelProperty(value="管线材质",required=false)
    private String mMaterial;

    /**
     * 变比(M_Ratio,VARCHAR,5)
     */
    @ApiModelProperty(value="变比",required=false)
    private String mRatio;

    /**
     * 刷新时间(CreateTime,TIMESTAMP,7)
     */
    @ApiModelProperty(value="刷新时间",required=false)
    private String createtime;

    /**
     * 正向读数(ForValue,DECIMAL,9)
     */
    @ApiModelProperty(value="正向读数",required=false)
    private BigDecimal forvalue;

    /**
     * 反向读数(RevValue,DECIMAL,9)
     */
    @ApiModelProperty(value="反向读数",required=false)
    private BigDecimal revvalue;

    /**
     * 管道压力(PressValue,DECIMAL,9)
     */
    @ApiModelProperty(value="管道压力",required=false)
    private BigDecimal pressvalue;

    /**
     * 瞬时流量(RealValue,DECIMAL,9)
     */
    @ApiModelProperty(value="瞬时流量",required=false)
    private BigDecimal realvalue;

    /**
     * 累计流量(SumValue,DECIMAL,9)
     */
    @ApiModelProperty(value="累计流量",required=false)
    private BigDecimal sumvalue;

    /**
     * 电池电压(CelVal,DECIMAL,5)
     */
    @ApiModelProperty(value="电池电压",required=false)
    private BigDecimal celval;

    /**
     * 网络信号(NetVal,DECIMAL,38)
     */
    @ApiModelProperty(value="网络信号",required=false)
    private BigDecimal netval;

    /**
     * 状态标识(IsStat,CHAR,1)
     */
    @ApiModelProperty(value="状态标识",required=false)
    private String isstat;

    /**
     * 设备id(DeviceId,VARCHAR,20)
     */
    @ApiModelProperty(value="设备id",required=false)
    private String deviceid;

    /**
     * 读取时间(ReadTime,TIMESTAMP,7)
     */
    @ApiModelProperty(value="读取时间",required=false)
    private String readtime;

    /**
     * MOSAICID(ReadTime,TIMESTAMP,50)
     */
    @ApiModelProperty(value="读取时间",required=false)
    private String mosaicid;

    public String getMosaicid() {
        return mosaicid;
    }

    public void setMosaicid(String mosaicid) {
        this.mosaicid = mosaicid;
    }

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.meterid;
    }

    @Override
    public void setId(String meterid) {
        this.meterid = meterid;
    }

    public String getMeterid() {
        return meterid;
    }

    public void setMeterid(String meterid) {
        this.meterid = meterid;
    }

    public String getPhoneno() {
        return phoneno;
    }

    public void setPhoneno(String phoneno) {
        this.phoneno = phoneno == null ? null : phoneno.trim();
    }

    public String getAddresscode() {
        return addresscode;
    }

    public void setAddresscode(String addresscode) {
        this.addresscode = addresscode == null ? null : addresscode.trim();
    }

    public String getmUsertype() {
        return mUsertype;
    }

    public void setmUsertype(String mUsertype) {
        this.mUsertype = mUsertype == null ? null : mUsertype.trim();
    }

    public String getmType() {
        return mType;
    }

    public void setmType(String mType) {
        this.mType = mType == null ? null : mType.trim();
    }

    public String getmName() {
        return mName;
    }

    public void setmName(String mName) {
        this.mName = mName == null ? null : mName.trim();
    }

    public String getmDoorno() {
        return mDoorno;
    }

    public void setmDoorno(String mDoorno) {
        this.mDoorno = mDoorno == null ? null : mDoorno.trim();
    }

    public String getmPipedn() {
        return mPipedn;
    }

    public void setmPipedn(String mPipedn) {
        this.mPipedn = mPipedn == null ? null : mPipedn.trim();
    }

    public String getmMaterial() {
        return mMaterial;
    }

    public void setmMaterial(String mMaterial) {
        this.mMaterial = mMaterial == null ? null : mMaterial.trim();
    }

    public String getmRatio() {
        return mRatio;
    }

    public void setmRatio(String mRatio) {
        this.mRatio = mRatio == null ? null : mRatio.trim();
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime;
    }

    public BigDecimal getForvalue() {
        return forvalue;
    }

    public void setForvalue(BigDecimal forvalue) {
        this.forvalue = forvalue;
    }

    public BigDecimal getRevvalue() {
        return revvalue;
    }

    public void setRevvalue(BigDecimal revvalue) {
        this.revvalue = revvalue;
    }

    public BigDecimal getPressvalue() {
        return pressvalue;
    }

    public void setPressvalue(BigDecimal pressvalue) {
        this.pressvalue = pressvalue;
    }

    public BigDecimal getRealvalue() {
        return realvalue;
    }

    public void setRealvalue(BigDecimal realvalue) {
        this.realvalue = realvalue;
    }

    public BigDecimal getSumvalue() {
        return sumvalue;
    }

    public void setSumvalue(BigDecimal sumvalue) {
        this.sumvalue = sumvalue;
    }

    public BigDecimal getCelval() {
        return celval;
    }

    public void setCelval(BigDecimal celval) {
        this.celval = celval;
    }

    public BigDecimal getNetval() {
        return netval;
    }

    public void setNetval(BigDecimal netval) {
        this.netval = netval;
    }

    public String getIsstat() {
        return isstat;
    }

    public void setIsstat(String isstat) {
        this.isstat = isstat == null ? null : isstat.trim();
    }

    public String getDeviceid() {
        return deviceid;
    }

    public void setDeviceid(String deviceid) {
        this.deviceid = deviceid == null ? null : deviceid.trim();
    }

    public String getReadtime() {
        return readtime;
    }

    public void setReadtime(String readtime) {
        this.readtime = readtime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", meterid=").append(meterid);
        sb.append(", phoneno=").append(phoneno);
        sb.append(", addresscode=").append(addresscode);
        sb.append(", mUsertype=").append(mUsertype);
        sb.append(", mType=").append(mType);
        sb.append(", mName=").append(mName);
        sb.append(", mDoorno=").append(mDoorno);
        sb.append(", mPipedn=").append(mPipedn);
        sb.append(", mMaterial=").append(mMaterial);
        sb.append(", mRatio=").append(mRatio);
        sb.append(", createtime=").append(createtime);
        sb.append(", forvalue=").append(forvalue);
        sb.append(", revvalue=").append(revvalue);
        sb.append(", pressvalue=").append(pressvalue);
        sb.append(", realvalue=").append(realvalue);
        sb.append(", sumvalue=").append(sumvalue);
        sb.append(", celval=").append(celval);
        sb.append(", netval=").append(netval);
        sb.append(", isstat=").append(isstat);
        sb.append(", deviceid=").append(deviceid);
        sb.append(", readtime=").append(readtime);
        sb.append(", mosaicid=").append(mosaicid);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}